org.eclipse.aether

## Enum RepositoryEvent.EventType

- java.lang.Object
- - java.lang.Enum<RepositoryEvent.EventType>
  - - org.eclipse.aether.RepositoryEvent.EventType

- All Implemented Interfaces:
    Serializable, Comparable<RepositoryEvent.EventType>
  Enclosing class:
    RepositoryEvent

      public static enum RepositoryEvent.EventType
      extends Enum<RepositoryEvent.EventType>

  The type of the repository event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARTIFACT_DEPLOYED`
    `ARTIFACT_DEPLOYING`
    `ARTIFACT_DESCRIPTOR_INVALID`
    `ARTIFACT_DESCRIPTOR_MISSING`
    `ARTIFACT_DOWNLOADED`
    `ARTIFACT_DOWNLOADING`
    `ARTIFACT_INSTALLED`
    `ARTIFACT_INSTALLING`
    `ARTIFACT_RESOLVED`
    `ARTIFACT_RESOLVING`
    `METADATA_DEPLOYED`
    `METADATA_DEPLOYING`
    `METADATA_DOWNLOADED`
    `METADATA_DOWNLOADING`
    `METADATA_INSTALLED`
    `METADATA_INSTALLING`
    `METADATA_INVALID`
    `METADATA_RESOLVED`
    `METADATA_RESOLVING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepositoryEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARTIFACT_DESCRIPTOR_INVALID

          public static final RepositoryEvent.EventType ARTIFACT_DESCRIPTOR_INVALID

      See Also:
        `RepositoryListener.artifactDescriptorInvalid(RepositoryEvent)`

    - #### ARTIFACT_DESCRIPTOR_MISSING

          public static final RepositoryEvent.EventType ARTIFACT_DESCRIPTOR_MISSING

      See Also:
        `RepositoryListener.artifactDescriptorMissing(RepositoryEvent)`

    - #### METADATA_INVALID

          public static final RepositoryEvent.EventType METADATA_INVALID

      See Also:
        `RepositoryListener.metadataInvalid(RepositoryEvent)`

    - #### ARTIFACT_RESOLVING

          public static final RepositoryEvent.EventType ARTIFACT_RESOLVING

      See Also:
        `RepositoryListener.artifactResolving(RepositoryEvent)`

    - #### ARTIFACT_RESOLVED

          public static final RepositoryEvent.EventType ARTIFACT_RESOLVED

      See Also:
        `RepositoryListener.artifactResolved(RepositoryEvent)`

    - #### METADATA_RESOLVING

          public static final RepositoryEvent.EventType METADATA_RESOLVING

      See Also:
        `RepositoryListener.metadataResolving(RepositoryEvent)`

    - #### METADATA_RESOLVED

          public static final RepositoryEvent.EventType METADATA_RESOLVED

      See Also:
        `RepositoryListener.metadataResolved(RepositoryEvent)`

    - #### ARTIFACT_DOWNLOADING

          public static final RepositoryEvent.EventType ARTIFACT_DOWNLOADING

      See Also:
        `RepositoryListener.artifactDownloading(RepositoryEvent)`

    - #### ARTIFACT_DOWNLOADED

          public static final RepositoryEvent.EventType ARTIFACT_DOWNLOADED

      See Also:
        `RepositoryListener.artifactDownloaded(RepositoryEvent)`

    - #### METADATA_DOWNLOADING

          public static final RepositoryEvent.EventType METADATA_DOWNLOADING

      See Also:
        `RepositoryListener.metadataDownloading(RepositoryEvent)`

    - #### METADATA_DOWNLOADED

          public static final RepositoryEvent.EventType METADATA_DOWNLOADED

      See Also:
        `RepositoryListener.metadataDownloaded(RepositoryEvent)`

    - #### ARTIFACT_INSTALLING

          public static final RepositoryEvent.EventType ARTIFACT_INSTALLING

      See Also:
        `RepositoryListener.artifactInstalling(RepositoryEvent)`

    - #### ARTIFACT_INSTALLED

          public static final RepositoryEvent.EventType ARTIFACT_INSTALLED

      See Also:
        `RepositoryListener.artifactInstalled(RepositoryEvent)`

    - #### METADATA_INSTALLING

          public static final RepositoryEvent.EventType METADATA_INSTALLING

      See Also:
        `RepositoryListener.metadataInstalling(RepositoryEvent)`

    - #### METADATA_INSTALLED

          public static final RepositoryEvent.EventType METADATA_INSTALLED

      See Also:
        `RepositoryListener.metadataInstalled(RepositoryEvent)`

    - #### ARTIFACT_DEPLOYING

          public static final RepositoryEvent.EventType ARTIFACT_DEPLOYING

      See Also:
        `RepositoryListener.artifactDeploying(RepositoryEvent)`

    - #### ARTIFACT_DEPLOYED

          public static final RepositoryEvent.EventType ARTIFACT_DEPLOYED

      See Also:
        `RepositoryListener.artifactDeployed(RepositoryEvent)`

    - #### METADATA_DEPLOYING

          public static final RepositoryEvent.EventType METADATA_DEPLOYING

      See Also:
        `RepositoryListener.metadataDeploying(RepositoryEvent)`

    - #### METADATA_DEPLOYED

          public static final RepositoryEvent.EventType METADATA_DEPLOYED

      See Also:
        `RepositoryListener.metadataDeployed(RepositoryEvent)`

  - ### Method Detail

    - #### values

          public static RepositoryEvent.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryEvent.EventType c : RepositoryEvent.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryEvent.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.